/**
 * PropertyUtil.java 2014-4-28
 * 
 * 天津云翔联动科技有限公司(c) 1995 - 2014 。
 * http://www.soaring-cloud.com.cn
 *
 */
package com.soaringcloud.library.util;

import java.io.InputStream;
import java.util.Properties;
import android.util.Log;


/**
 * <b>PropertyUtil。</b>
 * <p><b>详细说明：</b></p>
 * <!-- 在此添加详细说明 -->
 * 无。
 * <p><b>修改列表：</b></p>
 * <table width="100%" cellSpacing=1 cellPadding=3 border=1>
 * <tr bgcolor="#CCCCFF"><td>序号</td><td>作者</td><td>修改日期</td><td>修改内容</td></tr>
 * <!-- 在此添加修改列表，参考第一行内容 -->
 * <tr><td>1</td><td>Wancheng</td><td>2014-4-28 上午11:00:08</td><td>建立类型</td></tr>
 * 
 * </table>
 * @version 1.0
 * @author Wancheng
 * @since 1.0
 */
public class PropertyUtil {

	private static final String TAG = PropertyUtil.class.getName();
	private static PropertyUtil propertyUtil;
	private Properties config;
	
	private PropertyUtil(){
		
	}
	
	public static PropertyUtil getInstance(){
		if(null == propertyUtil){
			synchronized (PropertyUtil.class) {
				if(null == propertyUtil){
					propertyUtil = new PropertyUtil();
				}
			}
		}
		return propertyUtil;
	}
	
	public Properties getProperties(String configFileName) {
		config = new Properties();
		InputStream in = null;
		try {
			// 方法一：通过activity中的context攻取setting.properties的FileInputStream
			// 方法二：通过class获取setting.properties的FileInputStream
			// InputStream in = PropertiesUtill.class.getResourceAsStream("/assets/  setting.properties "));

			if(null == configFileName){
				//in = context.getAssets().open("config.properties");
				in = PropertyUtil.class.getResourceAsStream("/assets/config.properties");
			}else{
				//in = context.getAssets().open(configFileName);
				in = PropertyUtil.class.getResourceAsStream("/assets/" + configFileName);
			}
			config.load(in);
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
			Log.e(TAG, e.toString());
			config = null;
		} finally{
			try{
				if(null != in) in.close();
			}catch (Exception e) {
				//do nothing, keep alive
				e.printStackTrace();
			}
		}
		return config;
	}
}
